%if 0%{?suse_version}
%define metadata_platform_suffix suse
%else
%define metadata_platform_suffix centos
%endif

Summary: Plugin metadata for op5 Monitor webconfig
Name: plugins-metadata
Version: 2.9.0
Release: op5.1
License: op5 Software License
Group: op5/monitor
URL: http://support.op5.se
Source: %name-%version.tar.gz
Prefix: /opt/plugins/metadata
BuildRoot: %{_tmppath}/%{name}-%{version}

%package test
Summary: Test package for plugins-metadata
Group: op5/monitor
Requires: plugins-metadata = %version
Requires: op5-phpunit
Requires: monitor-nacoma

%description
plugins-metadata provide checkcommands and basic information regaring
op5 plugins. The monitor-webconfig package uses this information to 
provide usage instructions and checkcommand import functionallity.

%description test
Test package for plugins-metadata.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/
install -m 664 *.metadata %buildroot%prefix/
for metadata in *.metadata.%metadata_platform_suffix; do
	install -m 664 ${metadata} %buildroot%prefix/${metadata%.*};
done
cp -r test %buildroot%prefix
cp Makefile %buildroot%prefix


%clean
rm -rf %buildroot


%files
%defattr(644,root,root,755)
%prefix
%exclude %prefix/test
%exclude %prefix/Makefile

%files test
%defattr(644,root,root,755)
%prefix/test
%prefix/Makefile


%changelog
* Wed Dec 11 2013 Carl Helmertz <chelmertz@op5.com>
- Test package.
* Fri Dec 07 2007 Peter Ostlin <peter.ostlin@op5.com>
- Initial package creation.
